#
# spec file for package python-oslo.reports
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname oslo.reports
Name:           python-oslo.reports
Version:        1.14.0
Release:        2.11
Summary:        OpenStack oslo.reports library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Jinja2 >= 2.8
BuildRequires:  python-devel
BuildRequires:  python-eventlet >= 0.18.2
BuildRequires:  python-greenlet >= 0.3.2
BuildRequires:  python-oslo.config >= 3.14.0
BuildRequires:  python-oslo.i18n >= 2.1.0
BuildRequires:  python-oslo.serialization >= 1.10.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-psutil >= 1.1.1
BuildRequires:  python-six >= 1.9.0
Requires:       python-Jinja2 >= 2.8
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-psutil >= 1.1.1
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
The project oslo.reports hosts a general purpose error report generation
framework, known as the "guru meditation report".

%package doc
Summary:        Documentation for OpenStack reports library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
The project oslo.reports hosts a general purpose error report generation
framework, known as the "guru meditation report".
This package contains the documentation.

%prep
%setup -q -n %{sname}-%{version}

%build
%{py2_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/oslo_reports
%{python2_sitelib}/*.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Wed Aug 31 2016 tbechtold@suse.com
- update to version 1.14.0
  * Updated from global requirements
* Wed Aug 10 2016 tbechtold@suse.com
- update to 1.13.0:
  * Updated from global requirements
  * Add Python 3.5 classifier and venv
  * Use file modification events instead of signal handler
  * Imported Translations from Zanata
  * Trivial: ignore openstack/common in flake8 exclude list
  * Remove direct dependency on babel
- Update _service and switch to upstream spec template
* Mon Apr  4 2016 tbechtold@suse.com
- update to 1.7.0:
  * Updated from global requirements
  * Update .gitreview for stable/mitaka
* Thu Mar  3 2016 tbechtold@suse.com
- update to 1.6.0:
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Update translation setup
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Print the traceback if there was an exception in run(
  * Rename signal handler argument to 'frame'
  * Updated from global requirements
  * Updated from global requirements
  * Trival: Remove 'MANIFEST.in'
  * Drop python 2.6 support
  * Updated from global requirements
  * Remove Python 2.6 classifier
  * Updated from global requirements
  * Remove python 2.6 and cleanup tox.ini
  * Fix Transition to SIGUSR2 in oslo.reports breaks upgrade
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Fix a typo in process.py
  * remove extraneous coverage omit instruction
- Adjust Requires
* Wed Oct 21 2015 dmueller@suse.com
- update to 0.7.0:
  * No need for Oslo Incubator Sync
  * Fix coverage configuration and execution
  * How to use oslo.reports documentation
  * add auto-generated api documentation
  * clean up release notes in toctree
  * add auto-generated docs for config options
  * Add shields.io version/downloads links/badges into README.rst
  * Updated from global requirements
  * guru_meditation_report: Use SIGUSR2 instead of SIGUSR1
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.5.0:
  * Updated from global requirements
  * Add a configuration for the directory to generate gmr
  * Fill README from information in the wiki
  * Setup translations
- Adjust Requires
* Mon Aug  3 2015 tbechtold@suse.com
- update to 0.3.0:
  * Updated from global requirements
  * Fix mock of open(
  * Fix GMR break with new psutil versions
  * Add oslo.utils dependency
  * Add tox target to find missing requirements
- Adjust Requires
* Mon Jul  6 2015 rsalevsky@suse.com
- initial package creation
